Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2002:052: sharutils


Vulnerability Assessment Details

MDKSA-2002:052: sharutils

Vulnerability Assessment Summary
Check for the version of the sharutils package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2002:052 (sharutils).


The uudecode utility creates output files without checking to see if it is about
to write to a symlink or pipe. This could be exploited by a local attacker to
overwrite files or lead to privilege escalation if users decode data into share
directories, such as /tmp. This update fixes this vulnerability by checking to
see if the destination output file is a symlink or pipe.


Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2002:052
Network Security Threat Level: High

Networks Security ID: 4742

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

Meraki MX60W 600-16015-A 4-Port GbE Small Branch Security Gateway Appliance
$9.99
Meraki MX60W 600-16015-A 4-Port GbE Small Branch Security Gateway Appliance pictureCISCO ASA5520 Cisco VPN Plus Lic 2GB MEM Adaptive Security Appliance+Anyconnect
$122.97
CISCO ASA5520 Cisco VPN Plus Lic 2GB MEM Adaptive Security Appliance+Anyconnect pictureCisco SPA303-G1 3 Line IP Phone with Display and PC Port
$45.77
Cisco SPA303-G1 3 Line IP Phone with Display and PC Port pictureCISCO SYSTEMS 16-Port Gigabit Switch SG11016NA
$89.75
CISCO SYSTEMS 16-Port Gigabit Switch SG11016NA picture


Discussions

No Discussions have been posted on this vulnerability.